#ifndef __EEPROM_H__
#define __EEPROM_H__

#include "mediargn.h"

/***************************************************************************
 *      eeprom_program_region_t
 ***************************************************************************/

#define EEP ((eeprom_layout_t *)0)

typedef struct eeprom_program_region 
{
  u32 text[1];
} eeprom_program_region_t;

/***************************************************************************
 *      eeprom_layout_t
 ***************************************************************************/

typedef struct eeprom_layout 
{
  media_manufact_region_t    manufact;
  media_vpd_t                vpd;
  eeprom_program_region_t    programs;   // place holder 
} eeprom_layout_t, * pEEPROM_IMAGE;


typedef struct eeprom_info_t
{
  media_manufact_region_t    manufact;
  media_vpd_t  vpd;
} eeprom_info_t;



#endif /* __EEPROM_H__ */

